Package Details: vulkan-caps-viewer 2.04-1

Git Clone URL: https://aur.archlinux.org/vulkan-caps-viewer.git (read-only, click to copy)
Package Base: vulkan-caps-viewer
Description: Vulkan Hardware Capability Viewer
Upstream URL: http://vulkan.gpuinfo.org/
Keywords: gpu vulkan
Licenses: GPL2
Submitter: 1ace
Maintainer: 1ace
Last Packager: 1ace
Votes: 43
Popularity: 0.68
First Submitted: 2016-02-21 21:17
Last Updated: 2020-05-31 21:49

Latest Comments

1 2 3 Next › Last »

1ace commented on 2020-06-11 08:38

@yochananmarqos, @HanFox: could either of you provide a backtrace of the crash (on the upstream issue if possible, as this is not a packaging issue).

yochananmarqos commented on 2020-06-09 14:15

@HanFox: Aha, removing those lines does the trick. Updated PKGBUILD.

HanFox commented on 2020-06-09 11:14

@yochananmarqos: I segfault, too.

I made an error report upstream as to what I believe the issue is (Wayland related): https://github.com/SaschaWillems/VulkanCapsViewer/issues/93

yochananmarqos commented on 2020-05-31 14:30

Is this segfaulting for anyone else?

libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
Segmentation fault (core dumped)

Freso commented on 2020-05-17 10:34

what is needed for building and for running are two independent sets, you can't ignore things in one because they're in the other

Yes, you can. You don’t need to specify things in $makedepends if they’re in $depends. Note that $makedepends is defined as "An array of packages that are only required to build the software." while $depends is "An array of packages that must be installed for the software to build and run." Thus, if something belongs in $depends it does, by definition, not belong in $makedepends.

thrimbor commented on 2020-05-17 03:33

The last update reduced the version number instead of increasing it (from 2.03-2 to 2.03a-2, the former being considered newer by vercmp). Please fix this, as it confuses several tools that rely on proper versioning.

Althorion commented on 2020-05-09 13:23

@1ace as per Arch package guidelines, even configure belongs to the build() (look at the prototype). The CMake package guidelines also put it in the build() phase.

1ace commented on 2020-05-07 21:34

@yochananmarqos: I wasn't keen on making the package download the whole git repository just so that I could use git submodules, but since the latest vulkan-headers update removed symbols that vulkan-caps-viewer used, I've had to so that the build would use a pinned version of the headers, and I now use the submodule solution you suggested :)

As for qmake, it's a configuration tool, just like cmake; it belongs in prepare().

yochananmarqos commented on 2020-04-15 23:30

HACK: github doesn't package submodules...

No need for a "hack", see VCS package guidelines:

prepare() {
  cd '$pkgname-$pkgver"
  git submodule init
  git config submodule.Vulkan-Headers.url "$srcdir/Vulkan-Headers"
  git submodule update
}

I've also updated my PKGBUILD.

yochananmarqos commented on 2019-11-29 15:29

@1ace: You're using qmake in prepare(), that's a build function.